#include "common.h"
#include <sys/wait.h>

const int NUMPROC = 3;
// ретранслятор c предварительным fork (pefork)
int main( int argc, char *argv[] ) {
   int ls = getsocket( PREFORK_PORT ), rs;         
   setv( argc, argv );
   for( int i = 0; i < NUMPROC; i++ ) {   
      if( fork() == 0 ) {
         int rs;         
         while( true ) {
            if( ( rs = accept( ls, NULL, NULL ) ) < 0 ) errx( "accept error" );
            retrans( rs );
            close( rs );
            if( debug ) cout << i << flush;
            delay( 250 ); // пауза 250 usec.
         };
      };
   };
   for( int i = 0; i < NUMPROC; i++ ) wait( NULL );
   exit( EXIT_SUCCESS );
};

